OrcTail (ORC Core 1.6.5 API)
Date: 2020-10-01

org.apache.orc.impl

## Class OrcTail

- java.lang.Object
- - org.apache.orc.impl.OrcTail

-     public final class OrcTail
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OrcTail(OrcProto.FileTail fileTail, BufferChunk serializedTail, long fileModificationTime)`
    `OrcTail(OrcProto.FileTail fileTail, ByteBuffer serializedTail)`
    `OrcTail(OrcProto.FileTail fileTail, ByteBuffer serializedTail, long fileModificationTime)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCompressionBufferSize()`
    `CompressionKind` | `getCompressionKind()`
    `long` | `getFileLength()` Get the position of the end of the file.
    `long` | `getFileModificationTime()`
    `OrcProto.FileTail` | `getFileTail()`
    `OrcProto.Footer` | `getFooter()`
    `long` | `getMetadataOffset()` Get the file offset of the metadata section of footer.
    `int` | `getMetadataSize()`
    `OrcProto.FileTail` | `getMinimalFileTail()`
    `OrcProto.PostScript` | `getPostScript()`
    `TypeDescription` | `getSchema()`
    `ByteBuffer` | `getSerializedTail()`
    `List<StripeInformation>` | `getStripes()`
    `long` | `getStripeStatisticsOffset()` Get the file offset of the stripe statistics.
    `BufferChunk` | `getTailBuffer()` Gets the buffer chunks that correspond to the stripe statistics, file tail, and post script.
    `List<OrcProto.Type>` | `getTypes()`
    `OrcFile.WriterVersion` | `getWriterVersion()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OrcTail

          public OrcTail(OrcProto.FileTail fileTail,
                         ByteBuffer serializedTail)
                  throws IOException

      Throws:
        `IOException`

    - #### OrcTail

          public OrcTail(OrcProto.FileTail fileTail,
                         ByteBuffer serializedTail,
                         long fileModificationTime)
                  throws IOException

      Throws:
        `IOException`

    - #### OrcTail

          public OrcTail(OrcProto.FileTail fileTail,
                         BufferChunk serializedTail,
                         long fileModificationTime)
                  throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### getSerializedTail

          public ByteBuffer getSerializedTail()

    - #### getTailBuffer

          public BufferChunk getTailBuffer()

      Gets the buffer chunks that correspond to the stripe statistics, file tail, and post script.
      Returns:
        the shared buffers with the contents of the file tail

    - #### getFileModificationTime

          public long getFileModificationTime()

    - #### getFooter

          public OrcProto.Footer getFooter()

    - #### getPostScript

          public OrcProto.PostScript getPostScript()

    - #### getWriterVersion

          public OrcFile.WriterVersion getWriterVersion()

    - #### getStripes

          public List<StripeInformation> getStripes()

    - #### getCompressionKind

          public CompressionKind getCompressionKind()

    - #### getCompressionBufferSize

          public int getCompressionBufferSize()

    - #### getMetadataSize

          public int getMetadataSize()

    - #### getTypes

          public List<OrcProto.Type> getTypes()

    - #### getSchema

          public TypeDescription getSchema()

    - #### getFileTail

          public OrcProto.FileTail getFileTail()

    - #### getMetadataOffset

          public long getMetadataOffset()

      Get the file offset of the metadata section of footer.
      Returns:
        the byte offset of the start of the metadata

    - #### getStripeStatisticsOffset

          public long getStripeStatisticsOffset()

      Get the file offset of the stripe statistics.
      Returns:
        the byte offset of the start of the stripe statistics

    - #### getFileLength

          public long getFileLength()

      Get the position of the end of the file.
      Returns:
        the byte length of the file

    - #### getMinimalFileTail

          public OrcProto.FileTail getMinimalFileTail()

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.